Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Regular Contributor
Posts: 79
Registered: ‎09-17-2012
My Device: Torch 9800
My Carrier: DiGi

Support for OS 5 and OS 4

Hi all. Do OS 4 and OS support HTML5, CSS 3 and jQuery 1.8? I working on this app that uses those 3 and supports OS 6 and OS 7. 

 

Our client would like to know if we can support OS 4 and OS 5 as well. 

 

Any advice and suggestion would be greatly appreciated. 

 

Thank you.

Retired
Posts: 1,561
Registered: ‎04-12-2010
My Device: BlackBerry Z10
My Carrier: Bell

Re: Support for OS 5 and OS 4

OS4 and OS5 used a proprietary version of the BlackBerry Browser which was not based on webkit (as OS6+ are.) While it does support a number of HTML elements, I would not claim that it supports HTML5, CSS3, or jQuery 1.8. The browser before OS6 is quite a lot more limited in what it can do.

 

I would check here for specific HTML, CSS, and JS support:

https://developer.blackberry.com/html5/documentation/web_references_1986046.html

 


Erik Oros | @WaterlooErik | eoros@blackberry.com | Developer Issue Tracker

If a reply has answered your question, please click Accept as Solution to help other visitors in the future.
Contributor
Posts: 21
Registered: ‎12-31-2012
My Device: 8520
My Carrier: GLO

Re: Support for OS 5 and OS 4

@iruka it doesn't support jquery 1.8 and later, HTML5, CSS3.

If you are building an app based on WebWorks and HTML5,jQuery i suggest you exclude OS5 and older.

 

Regards.